Mailinglist Archive: opensuse-updates (200 mails)

< Previous Next >
openSUSE-SU-2013:1006-1: moderate: update for subversion
openSUSE Security Update: update for subversion
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:1006-1
Rating: moderate
References: #821505
Cross-References: CVE-2013-1968 CVE-2013-2088 CVE-2013-2112

Affected Products:
openSUSE 12.3
openSUSE 12.2
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

This update of subversion includes several bug and security
fixes.
- update to 1.7.10 [bnc#821505] CVE-2013-1968 CVE-2013-2088
CVE-2013-2112
- Client-side bugfixes:
* fix 'svn revert' "no such table: revert_list"
spurious error
* fix 'svn diff' doesn't show some locally added files
* fix changelist filtering when --changelist values
aren't UTF8
* fix 'svn diff --git' shows wrong copyfrom
* fix 'svn diff -x-w' shows wrong changes
* fix 'svn blame' sometimes shows every line as modified
* fix regression in 'svn status -u' output for externals
* fix file permissions change on commit of file with
keywords
* improve some fatal error messages
* fix externals not removed when working copy is made
shallow
- Server-side bugfixes:
* fix repository corruption due to newline in filename
* fix svnserve exiting when a client connection is
aborted
* fix svnserve memory use after clear
* fix repository corruption on power/disk failure on
Windows
- Developer visible changes:
* make get-deps.sh compatible with Solaris /bin/sh
* fix infinite recursion bug in get-deps.sh
* fix uninitialised output parameter of
svn_fs_commit_txn()
- Bindings:
* fix JavaHL thread-safety bug


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.3:

zypper in -t patch openSUSE-2013-494

- openSUSE 12.2:

zypper in -t patch openSUSE-2013-494

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.3 (i586 x86_64):

libsvn_auth_gnome_keyring-1-0-1.7.10-2.8.1
libsvn_auth_gnome_keyring-1-0-debuginfo-1.7.10-2.8.1
libsvn_auth_kwallet-1-0-1.7.10-2.8.1
libsvn_auth_kwallet-1-0-debuginfo-1.7.10-2.8.1
subversion-1.7.10-2.8.1
subversion-debuginfo-1.7.10-2.8.1
subversion-debugsource-1.7.10-2.8.1
subversion-devel-1.7.10-2.8.1
subversion-perl-1.7.10-2.8.1
subversion-perl-debuginfo-1.7.10-2.8.1
subversion-python-1.7.10-2.8.1
subversion-python-debuginfo-1.7.10-2.8.1
subversion-server-1.7.10-2.8.1
subversion-server-debuginfo-1.7.10-2.8.1
subversion-tools-1.7.10-2.8.1
subversion-tools-debuginfo-1.7.10-2.8.1

- openSUSE 12.3 (noarch):

subversion-bash-completion-1.7.10-2.8.1

- openSUSE 12.2 (i586 x86_64):

libsvn_auth_gnome_keyring-1-0-1.7.10-4.16.1
libsvn_auth_gnome_keyring-1-0-debuginfo-1.7.10-4.16.1
libsvn_auth_kwallet-1-0-1.7.10-4.16.1
libsvn_auth_kwallet-1-0-debuginfo-1.7.10-4.16.1
subversion-1.7.10-4.16.1
subversion-debuginfo-1.7.10-4.16.1
subversion-debugsource-1.7.10-4.16.1
subversion-devel-1.7.10-4.16.1
subversion-perl-1.7.10-4.16.1
subversion-perl-debuginfo-1.7.10-4.16.1
subversion-python-1.7.10-4.16.1
subversion-python-debuginfo-1.7.10-4.16.1
subversion-server-1.7.10-4.16.1
subversion-server-debuginfo-1.7.10-4.16.1
subversion-tools-1.7.10-4.16.1
subversion-tools-debuginfo-1.7.10-4.16.1

- openSUSE 12.2 (noarch):

subversion-bash-completion-1.7.10-4.16.1


References:

http://support.novell.com/security/cve/CVE-2013-1968.html
http://support.novell.com/security/cve/CVE-2013-2088.html
http://support.novell.com/security/cve/CVE-2013-2112.html
https://bugzilla.novell.com/821505


< Previous Next >
This Thread
  • No further messages